Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.cxf.configuration.security
Enum CombinatorType

    java.lang.Object
      java.lang.Enum<CombinatorType>
          org.apache.cxf.configuration.security.CombinatorType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CombinatorType>

    public enum CombinatorType

extends java.lang.Enum<CombinatorType>

Java class for CombinatorType.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CombinatorType">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="ANY"/>
         <enumeration value="ALL"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`ALL`
`ANY`

Method Summary
`static CombinatorType` | `fromValue(java.lang.String v)`
`java.lang.String` | `value()`
`static CombinatorType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CombinatorType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ANY

    public static final CombinatorType ANY

### ALL

    public static final CombinatorType ALL

Method Detail

### values

    public static final CombinatorType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(CombinatorType c : CombinatorType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static CombinatorType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public java.lang.String value()

### fromValue

    public static CombinatorType fromValue(java.lang.String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Apache CXF